### 2.30.0 ###
Fixed: Removed the "Description" custom field.
Added: "Data Sync" button in Settings to resolve data issues after updating to the latest version. If you encounter any data issues, please use the sync button.
Added: Option to enable or disable the Gutenberg Block Editor for sermons.

### 2.20.0 ###
Fixed: TwentyTwentyFour theme design support added.


### 2.18.0 ###
Fixed: In this release, we have addressed an issue where the post content field was not updating correctly with the post meta key. This fix ensures that the post content field now accurately reflects the data from the post meta key.

### 2.17.2 ###
ADD: [latest_sermon per_page=10 order="ASC" orderby="post_modified"] New Shortcode
Fixed: itunes:explicit "false", first it says no (using W3C Feed link)

### 2.17.1.2 ###
Fixed: [sermon_images hide_title=”yes”] shortcode working
Fixed: PHP Warning with PHP 8.x

### 2.17.1.1 ###
Add: New Checkbox added for the support of http:// or https:// inside the enclosure URL under the Podcast tab in the settings menu.

### 2.17.1 ###
Fixed: Compability issues with PHP 8.x

### 2.17.0 ###
Fixed: Error when updating the content.
Fixed: PHP Error Unparenthesized.
Fixed: RSS feed not working with PHP 8.0.

### 2.16.9 ###
Fixed: Issues saving with PHP 8.0 WP 5.9.2
Fixed: PHP 8 error for twig and divi for sermon manager pro
Fixed: Fatal error (Cannot access offset of type string on string)
Fixed: Sermon series order list when using the shortcode
Fixed: Compability issues with latest WP 5.9.3
Fixed: Image size issue

### 2.16.8 ###
Fixed: Backend error (Service Type field)
Fixed: Fatal Error when adding new sermon on Version 2.16.7 Call to undefined function

### 2.16.7 ###
Fix: Single and mulitple file attachment available

### 2.16.6 ###
Fix: Old Missing PDF file data issue fixed

### 2.16.5 ###
Fix: Hyperlinks are Stripped in the Description Field 

### 2.16.4 ###
Fix: Support Multiple PDF File upload For Notes and Bulletins

### 2.163 ###
Fix: image size display issue in hortcode  [sermon_images  display="preachers" order="ASC" orderby="id" size="thumbnail"]
Fix: No follow attr for mp3 on single & archive


### 2.16.2 ###
Fix: sm_get_screen_ids() Issue Fixed
Shortcode parameters control : [sermons title=no description=yes image=yes], Passing yes or no to show title, description and image. Backward compatible. Use only [sermons] if dont want any change. Both are working as backward compatible.

### 2.16.1 ###
Fix: Wordpress 5.5 Compability issue bug fix


### 2.16.0 ###
Fix: Bug Fix With CMB2

### 2.15.19 ###
Fix: security issues
Fix: backend error

### 2.15.18 ###
Fix: compatibility issue with PHP 7.4 in Elementor

### 2.13.4 ###
* Change: Update Plyr to latest
* Fix: Small bug in media seeking URL detection
* Fix: PHP notice when non-existing taxonomy used in feed URL
* Fix: URL-encode atom:link in podcast feed

### 2.13.3 ###
* New: Add an option to use native player in Safari
* Change: Revert Plyr for Safari browser

### 2.13.2 ###
* New: Add an option to show date "Published" instead of date "Preached" in feed and frontend
* Change: Use native player in Safari
* Change: Separate "Preached" and "Published" dates in admin view
* Fix: Excerpt meta box not showing up
* Fix: Fix description not showing in the podcast feed
* Fix: Fix memory leak when site has big number of sermons
* Fix: Use non-localized dates in the RSS feed
* Fix: Fix issues with Sermon Browser importing

### 2.13.1 ###
* New: Add `list_podcasts` shortcode (thanks @macbookandrew!)
* New: Support for OceanWP theme (thanks @zSeriesGuy!)
* Fix: Archive page slug not applying
* Fix: Feed showing PHP notice in some rare cases
* Fix: Taxonomy list/images ignoring arguments
* Fix: Wrappers do not get overriden (thanks @zSeriesGuy!)

### 2.13.0 ###
* New: Add a simpler way of overriding sermon render
* New: Add excerpt support (thanks @robertmain!)
* New: Add read more link to the sermon description (thanks @robertmain!)
* New: Add revisions support (thanks @robertmain!)
* New: Add support for custom WP role capabilities (thanks @zSeriesGuy!)
* New: Add support for sermon password protection
* New: Add working file for rendering the feed
* New: Add a tab in settings for controlling the import
* Change: Add more options to the recent sermons widget
* Change: Add a way to get sermon's series image
* Change: Add an option to hide read more when it's not needed
* Fix: Audio download button glitches sometimes
* Fix: Custom preacher label in menu lowercased when label is in lowercase
* Fix: Feed not validating when audio files use SSL
* Fix: Fix spacing on Divi theme
* Fix: Image size shortcode argument not working
* Fix: MP4 video file being detected as YouTube and therefore not working
* Fix: SB image import breaking when image is local and does not exist on filesystem
* Fix: Sermon Browser services import
* Fix: Sermon Details meta not loading under very specific circumstances
* Fix: Sermons do not appear if published via API and "Date Preached" not set
* Fix: Sermons not showing in shortcode under certain timezone conditions
* Fix: Sermons menu title is "All Sermons" instead of "Sermons"
* Fix: Shortcode pagination not working when "Plain" permalinks are used
* Fix: Shortcodes showing in iTunes sermon description
* Fix: Taxonomy image assignment not working
* Fix: Title not being in the same line, even though there's enough space
* Dev: Add a filter for filtering sermon image size
* Dev: Add more hooks
* Dev: Add PHPUnit configuration
* Dev: Add support for WordPress attachment ID for sermon audio files
* Dev: Add WPCS configuration
* Dev: All terms now support ordering by latest sermon
* Dev: Deprecate most of old podcasting functions
* Dev: Refactor widgets code

### 2.13.2 ###
* Fix: Excerpt meta box not showing up

### 2.13.1 ###
* New: Add `list_podcasts` shortcode (thanks @macbookandrew!)
* New: Support for OceanWP theme (thanks @zSeriesGuy!)
* Fix: Archive page slug not applying
* Fix: Feed showing PHP notice in some rare cases
* Fix: Taxonomy list/images ignoring arguments
* Fix: Wrappers do not get overriden (thanks @zSeriesGuy!)

### 2.13.0 ###
* New: Add a simpler way of overriding sermon render
* New: Add excerpt support (thanks @robertmain!)
* New: Add read more link to the sermon description (thanks @robertmain!)
* New: Add revisions support (thanks @robertmain!)
* New: Add support for custom WP role capabilities (thanks @zSeriesGuy!)
* New: Add support for sermon password protection
* New: Add working file for rendering the feed
* New: Add a tab in settings for controlling the import
* Change: Add more options to the recent sermons widget
* Change: Add a way to get sermon's series image
* Change: Add an option to hide read more when it's not needed
* Fix: Audio download button glitches sometimes
* Fix: Custom preacher label in menu lowercased when label is in lowercase
* Fix: Feed not validating when audio files use SSL
* Fix: Fix spacing on Divi theme
* Fix: Image size shortcode argument not working
* Fix: MP4 video file being detected as YouTube and therefore not working
* Fix: SB image import breaking when image is local and does not exist on filesystem
* Fix: Sermon Browser services import
* Fix: Sermon Details meta not loading under very specific circumstances
* Fix: Sermons do not appear if published via API and "Date Preached" not set
* Fix: Sermons not showing in shortcode under certain timezone conditions
* Fix: Sermons menu title is "All Sermons" instead of "Sermons"
* Fix: Shortcode pagination not working when "Plain" permalinks are used
* Fix: Shortcodes showing in iTunes sermon description
* Fix: Taxonomy image assignment not working
* Fix: Title not being in the same line, even though there's enough space
* Dev: Add a filter for filtering sermon image size
* Dev: Add more hooks
* Dev: Add PHPUnit configuration
* Dev: Add support for WordPress attachment ID for sermon audio files
* Dev: Add WPCS configuration
* Dev: All terms now support ordering by latest sermon
* Dev: Deprecate most of old podcasting functions
* Dev: Refactor widgets code

### 2.12.5 ###
* Change: Add Previous/Next sermon navigation
* Change: Add `hide_title` parameter for `[sermon_images]` shortcode
* Change: Add Sermon image to single sermon view
* Change: Add setting to disable images on archive and/or single sermon pages
* Fix: `[sermon_images]` lacking CSS
* Fix: "Old WordPress Player" not centered
* Fix: Preacher image not in same line as meta
* Fix: Redundant forward slash in shortcode pagination
* Fix: Remove blank space before colon in sermon meta

### 2.12.4 ###
* Fix: Series image size is small on sermon image output
* Fix: "Psalms" book spelling in book ordering
* Fix: Attachment box styling
* Fix: Attachment box showing up when there's media file, but nothing else
* Fix: No margin between sermons on `[sermons]` shortcode output
* Fix: Sermon image padding on sermons in `[sermons]` shortcode

### 2.12.3 ###
* New: Add capability to specify audio/video starting time (for example: just append `#t=12m46s` to the audio/video URL; you can use hours too!)
* New: Add Service Type filter to filtering (enable via shortcode option, or in Settings)
* Change: Add new layouts to shortcode output
* Change: Update Plyr to latest + add version in file name
* Change: Will use WP-PageNavi, if it's installed
* Change: Increase number of shown pages on start/end on shortcode (will now be `1,2,3..,7,8,9`, instead of `1...9`)
* Change: Remove MP3 link in attachments, in favor of the player download button
* Fix: Preacher permalink not updating on label update
* Fix: Download button styling broken for players other than Plyr
* Fix: Audio download button styles bad for WordPress player
* Fix: MediaElement styles not loading
* Fix: MediaElement videos not working
* Fix: Options to hide specific filters in dropdown filtering will work now
* Fix: Pagination not working in shortcode
* Fix: PHP Warnings when filtering used without the shortcode
* Fix: Plain HTML sermon content doesn't have translated preacher label
* Fix: Preacher custom preacher label not showing up on new archive and single pages
* Fix: Sidebar showing under sermons
* Fix: Title showing up twice on single sermon view
* Dev: Add a filter to easily change permalinks
* Dev: Plyr will be in debug mode when WP_DEBUG is defined to true

### 2.12.2 ###
* Fix: Audio player styling
* Fix: Audio player not loading on archive pages
* Fix: Attachments not showing on archive pages

### 2.12.1 ###
* New: Add support for Facebook video links
* New: Add audio download button right next to the player, for easy mp3 downloading
* Fix: `latest_series` shortcode title and description parameter not working
* Fix: Sermons won't show long description on archive page
* Fix: Issues with mp3 download button

### 2.12.0 ###
* New: Add all new views, much more improved
* New: Add more options to sorting shortcode
* New: Add ability to export/import Sermon Manager data
* Fix: Add more error checking to importing
* Fix: Audio player defaults to "Browser HTML5" when "Disable Sermon Styles" option is checked
* Fix: Plyr sometimes not loading
* Fix: Rare error on PHP 5.3
* Dev: Add an option to enable output of PHP errors in Sermon Manager
* Dev: Add an option to load Plyr in footer
* Dev: Add an option to use home_url in dropdown filtering
* Dev: Load Plyr earlier
* Dev: Make sure that import/export functions are executed only on import/export page

### 2.12.5 ###
* New: Added support for Beaver Builder

### 2.11.3 ###
* Fix: Sermon date not being saved when date format is changed
* Fix: YouTube short URL was not being detected (thanks @macbookandrew)
* Fix: Excerpt saving as "1" when there's no sermon description
* Dev: Added more filters for output
* Dev: Added setting for disabling post_content and post_excerpt creation

### 2.11.2 ###
* Change: Remove accidentally added search form from PR #159
* Fix: Attachments not being downloaded when clicked on them
* Fix: Sermon content not appearing in excerpt
* Fix: Sermon dates not saving

### 2.11.1 ###
* Fix: Fatal error on update because of not-loaded function

### 2.11.0 ###
* New: Added a debug tab in settings
* New: Added an option to disable book order in book filter dropdown
* New: Now you can use Sermon Manager and Sermon Browser shortcodes at the same time.
       Just change `[sermons]` shortcode to `[sermons_sm]` where you want to have Sermon Manager
* New: Option to show attachments on archive page (thanks @tstephen!)
* New: Reftagger will be on Spanish if WordPress is set to any Spanish variant
* New: There's now a way to force usage of Sermon Manage update files (in debug tab)
* Change: Player setting now controls video player as well
* Change: Sermon content will now be saved to the database as plain text instead of HTML,
          thus making search results appear normal
* Fix: API not accepting some parameters during sermon creation/update
* Fix: Book filter dropdown will now show books that can't be ordered at the bottom
* Fix: Fatal error on archive pages
* Fix: Removed "This is where you can add new sermons to your website." from showing on archive pages
* Fix: Removed a small possibility of having settings data removed on update
* Fix: Sermon Settings default values not being initialized on install
* Fix: Sermon video link not being saved properly
* Fix: Sermons that were set to same date were not sorted by time
* Fix: URL issues when home URL differs from site URL
* Dev: Add a parameter to `sm_the_date()` for usage outside The Loop
* Dev: Add an option in Debug settings for debugging import process
* Dev: Add an option in Debug settings to execute any update function at any time
* Dev: Add filters for customizing display
* Dev: Add filters to modify sermon content and excerpt in database
* Dev: Change Reftagger URL to HTTPS
* Dev: Fix checkbox settings value being checked when it shouldn't by default
* Dev: Make sure that update functions are marked as done on execution end
* Dev: More progress on RSS file override
* Dev: Remove obsolete Error Recovery functions, CSS, and JS files
* Dev: Remove unnecessary CSS files

### 2.10.2 ###
* Fix: Invalid podcast XML (duplicated sermon content item)

### 2.10.1 ###
* Fix: Invalid podcast XML (duplicated feed version attribute)
* Fix: Sermons from old Series Engine installations not importing
* Dev: More filters for customizing display

### 2.10 ###
* New: Added option in filtering shortcode to filter only in a specific series
* New: Added option to pick more players for playing sermons
* New: Added an option to redirect podcast
* Change: Improved XML feed formatting
* Change: Replace Bib.ly with reftagger.com
* Change: Sermon Browser will import stats as well now (needs re-import, existing data won't duplicate)
* Fix: Certain URLs were not working under wordpress.com and other websites that have different home and site URLs
* Fix: Date was not being localised
* Fix: There was a fatal error during sermon deletion on PHP 5.4<
* Fix: Sermon Browser audio URL not working if default path is changed in Sermon Browser settings (needs re-import, existing data won't duplicate)
* Fix: Warning in `latest_series` shortcode
* Fix: Warning during partial sermon import

### 2.9.3 ###
* Fix: Sermons can be imported again after deleting
* Fix: Fatal error on PHP 7.2
* Fix: Imported sermons not being ordered by date
* Fix: Remove unnecessary paragraph nesting on archive pages

### 2.9.2 ###
* Fix: 404 page on some hosts after update
* Fix: Admin search bar not working
* Fix: Checkboxes not working on settings page
* Fix: Shortcode producing a warning
* Fix: Sub-Category not saving in podcast settings

### 2.9.1 ###
* Fix: Remote Sermon Browser URLs mistakenly being imported as local URLs

### 2.9 ###
* New: Admin - Add filter by Service Type
* New: Import and export sermons, series, preachers, and more! (you can migrate from other plugins to Sermon Manager now)
* Change: Admin - Improved All Sermons view
* Change: Admin - Rewrite settings code - more stable and secure now
* Change: Modify Books in filter to be sorted by biblical order
* Change: Remove Error Recovery
* Fix: "Settings" URL on plugins page
* Fix: Admin - Fix sorting by columns
* Fix: Feed not working on sites that don't have pretty permalinks turned on
* Fix: Filtering sometimes not working
* Fix: Preached date being wrong in some cases
* Fix: Relative audio URLs in podcasts
* Fix: Series & preacher admin pages not having proper thumbnails & generating error on some hosts
* Fix: Series not showing up when sorted by date
* Fix: Sermon archive page ordering being ascending sometimes
* Fix: Shortcodes not working when broken quotes
* Fix: Shortcode ordering not respecting Sermon Date
* Fix: Some strings in Admin area were not being translated
* Fix: Taxonomy images need resaving on some hosts to work
* Fix: Timezone offset in Preached date

### 2.8.6 ###
* Fix: Service Type not being assigned (fixes sermons not appearing under some configurations)

### 2.8.5 ###
* Change: Revert to old rendering engine, until we fix new one

### 2.8.4 ###
* Fix: Fatal error when using plugin views
* Fix: Sermons having to be re-saved to work
* Fix: Update functions being executed multiple times
* Fix: Update functions not being executed for users who skip versions

### 2.8.3 ###
* Fix: Sermon audio not showing up
* Fix: Sermon not updating on first save
* Fix: Sermon video embed not saving
* Fix: Styling of attachment links

### 2.8.2 ###
* Change: Disable error recovery since it’s causing too many issues
* Fix: Couple bug fixes for PHP 5.3

### 2.8.1 ###
* Fix: A PHP notice on new sermon creation
* Fix: Sermon date not saving on first save
* Fix: Sermons preached before 09/09/2001 not showing up
* Fix: Fix confusion regarding date field (remove placeholder value)

### 2.8 ###
* New: Better compatibility with themes and search
* New: Better support for templating plugins (Elementor and Visual Composer, to mention some)
* New: More stable code for updating database structure
* New: Support for PHP 5.5, 5.4, and 5.3 but we still recommend to use at least PHP 5.6
* Change: All language strings rewritten (huge thanks to @GITNE)
* Change: Show all options in filtering dropdown — even if they don’t have associated sermon
* Fix: `image_size` not working in `[sermons]` shortcode
* Fix: 404 when “Common Base Slug” option is changed
* Fix: Admin menu icon not being blue on hover
* Fix: Compatibility with PHP 5.3
* Fix: HTML syntax for filtering
* Fix: Recovery catching 3rd party errors
* Fix: Styles not loading when `[sermons]` shortcode is used without filters

### 2.7.2 ###
* Fix: Fix 404 on series, preacher, topic, book, and service type pages

### 2.7.1 ###
* Fix: Crash on servers that do not have MBString extension
* Fix: Sermon page sometimes giving 404
* Fix: Shortcode ordering/no sermons

### 2.7 ###
* New: Automagical error recovery - no more unusable websites
* New: Jetpack Publicize and Omnisearch support for sermons
* New: REST API support
* New: Support for different plugin languages
* New: WordPress search support for sermons
* Change: “Date Preached” field optional
* Fix: Filtering/sorting
* Fix: General performance and compatibility fixes
* Fix: Lots of minor bug fixes
* Fix: New sermons not appearing
* Fix: New sermons not working on some servers
* Fix: Sermon ordering
* Fix: Sermon time not being correct when using “Date Preached”
* Fix: Widget styling

### 2.6.2 ###
* New: More `<span>` elements for more styling options
* Fix: Podcast feed not working

### 2.6.1 ###
* Fix: Custom preacher slug not working
* Fix: Fatal error on old PHP versions

### 2.6 ###
* New: Add back Sermon dates
* New: More filters for the shortcode
* Fix: PHP warning regarding sorting
* Fix: Space character is being URL encoded twice
* Fix: Taxonomy images not working on initial plugin install (and sometimes for existing ones as well - needs plugin re-activation)

### 2.5.2 ###
* Change preacher slugs as well when changing preacher label in settings
* Fix spelling error (thanks @tythewebguy)
* Fix filtering not working on a subpage
* Fix a security concern (GitHub issue #87)
* Fix preacher image upload button & title not respecting preacher label
* Fix wrong dialog title for Sermon Series image picker
* Fix archive slug change needs saving of settings two times
* Fix taxonomy image errors on first plugin install
* Fix copyright symbol not appearing correctly

### 2.5.1 ###
* Fix fatal error on older PHP versions

### 2.5.0 ###
* Add media functions in the sermon editor
* Add options to filtering shortcode
* Fix filtering shortcode sometimes making `404` on filter
* Fix PHP warning not dismissible
* Tweak sermon audio length field description (thanks @macbookandrew)

### 2.4.11 ###
* Fix paragraphs in podcast feed description
* Fix podcasts not validating with exotic mp3 file names
* Fix double URLs appearing in sermon downloads
* Fix sermons not appearing in shortcodes

### 2.4.10 ###
* Fix filtering styling being broken

### 2.4.9 ###
* Fix new sermons not appearing
* Fix couple PHP warnings
* Fix filtering in shortcode

### 2.4.8 ###
* Fix featured image not working

### 2.4.7 ###
* Fix PHP notice in the footer
* Fix slashes in RSS feed
* Fix podcast cover image not selecting
* Fix first sermon image showing up as podcast cover image when none selected
* Fix all dates issues (please allow the page to load after the update, it will take a minute; if you stop the load, please open `<your website URL>/wp-admin/?sm_fix_dates`)
* Removed “Date” field (left side) in Sermon edit screen, “Published” date (right side) will be used from now on
* Removed “Fix Dates” option tab, it’s not necessary anymore
* Removed all warnings and error related to dates
* Replaced old media manager with new one for podcast cover image

### 2.4.6 ###
* Add a setting to define podcast count
* Fix a bug that caused WSOD on some hosts
* Fix a bug that prevented settings to save on some hosts

### 2.4.5 ###
* Fix error that rendered website unusable on some hosts
* Fix double line-breaks in the podcast description not changing into HTML paragraphs
* Make new podcast HTML tags option disabled by default

### 2.4.4 ###
* Fix shortcode pagination broken on front page (thanks @antgiant)
* Fix new audio player not loading on some old themes
* Add an option to show key verse in “Recent Sermons” widget
* Add HTML tags display in podcast description (can be disabled in settings)
* Improve scripts & styles loading (website performance improvements)

### 2.4.3 ###
* Fix HTML formatting
* Fix new player duration always being 0:00 on initial load
* Fix Sermon date breaking the website in some special circumstances

### 2.4.2 ###
* Fix Sermon Manager interfering with regular post dates under some circumstances
* Fix fatal error when using UpdraftPlus
* Fix fatal error for longtime Sermon Manager users (thank you <3)
* Fix audio URL duplication in “Download Files” section
* Fix date checking URL
* Fix scripts and styles not loading when shortcode is used in ordinary posts
* Fix new player styles not loading

### 2.4.1 ###
* Fix fatal error for podcasts

### 2.4.0 ###
* Add a setting for Sermon date format
* Add a filter for changing sermon image link (thanks @macbookandrew)
* Add Polish translation (thanks @GITNE)
* Fix podcast feed not validating because of an non URL encoded ampersand in the Sermon image URL
* Remove sermons that don’t have mp3 files assigned to them from podcast XML file
* Performance improvements
* Miscellaneous bug fixes

### 2.3.4 ###
* Improve backend performance
* Fix topics list in backend sometimes being corrupted

### 2.3.3 ###
* Fix a typo in “Sort by Preacher” table column
* Fix a PHP warning when a sermon is created with Service Type set to “None”
* Fix Sermon Audio removing/uploading in backend not working

### 2.3.2 ###
* Allow displaying of audio and video at the same time
* Fix new audio player conflicting with other elements
* Fix Bib.ly not showing on sermon archive pages
* Fix Bib.ly not loading over HTTPS

### 2.3.1 ###
* Fix shortcodes compatibility issue
* Fix `[sermons]` shortcode ordering

### 2.3.0 ###
* Add an option to change “Preacher” to whatever user wants (“Teacher”, “Speaker”...)
* Fix series image shortcode not working properly
* Fix disappeared bible passage
* Core improvements

### 2.2.0 ###
* Add `orderby` argument for `[sermons]` shortcode. How to use: https://wpforchurch.com/my/knowledgebase/75/Sermon-Manager-Shortcodes.html
* Add an option to switch between the old and the new MP3 player
* Fix some cases where PodCast feed is invalid

### 2.1.5 ###
* Fix crash on PHP <5.5 (for real this time)
* Fix sermon MP3 file name while downloading

### 2.1.4 ###
* Fix crash on PHP <5.5

### 2.1.3 ###
* Fix podcast feed date being invalid when used on website with non English language
* Fix crashing on older PHP versions

### 2.1.2 ###
* Allow Sermon Manager usage on old PHP versions
* Fix shortcode not working

### 2.1.1 ###
* Fix plugin crashing. Add missing files.
* Remove old screenshots

### 2.1.0 ###
* Fix book sorting bug
* Fix issue where podcast enclosures are sometimes duplicated
* Fix sermon topics custom view not loading
* Fix dashboard icon not displaying
* Fix not displaying correct sermon dates
* Fix parenthesis displaying when service type is not specified
* Fix bib.ly not loading over HTTPS
* Add date fixing feature - should fix most of date-related bugs
* Add a new player for MP3 files
* Add PodTrac Support (thanks @reykroona)
* Add warning if user is using PHP version less than 5.6.0
* Simplify shortcodes

### 2.0.8 ###
* Fix another date error
* Revert fix for “fatal error with date processing”, since it caused issues for some users
* Fix video width being too wide
* Fix microphone issue

### 2.0.7 ###
* Fixed fatal error with date processing
* Fixed some PHP 7 warnings
* Added better shortcode book sorting

### 2.0.6 ###
* Fix date warning in the `Date Preached` column
* Fix downloads not showing notes and bulletin
* Fix taxonomy images not working on new installs
* Fix various bug fixes with feeds
* Fix Yoast SEO XML sitemap not working with SM - Please re-save settings and permalinks
* Fix image chooser not opening correctly when user clicks on series/preacher image (browser cache might need to be cleared)

### 2.0.5 ###

* Fix: Sermon Archive shortcode wasn’t displaying properly

### 2.0.4 ###

* Fixed error where saving anything in admin caused a php notice
* Fixed setting page and notice to re-save settings even after user had saved
* Updated sermon archive to show new sermon sorting fields function

### 2.0.3 ###

* Fixed error causing sermons views to not count
* Fixed several issues with classes being called improperly

### 2.0.2 ###

* Fixed legacy support and functionality for video embed
* Fixed podcast error causing duplicate entries

### 2.0.1 ###

* Fixed backwards compatibility issues
* Fixed issue with service type dropdown

### 2.0 ###

* Massive update to core code with php7 compatibility
* Bulletin file upload
* Updated dependency libraries
* Updated Views
* Use YouTube/Vimeo link (with legacy support for old video embeds)

### 1.9.6 ###

* Bugfix podcast title is fixed in WP 4.4
* Multiple non-fatal errors have been fixed

### 1.9.5 ###
* Bugfix podcast title is taken from Settings Page
* Bugfix podcast no longer has any missing sermons
* Bugfix properly strip html from podcast summary

### 1.9.4 ###
* Bugfix trailing / removed from podast feed
* Bugfix don’t include enclosure in podcast if there is no audio file
* Bugfix `[list_sermons]` order/orderby attributes now work as expected
* Bugfix hide_nav works correctly in the `[sermons]` shortcode
* Bugfix setting defaults on activation now works correctly

### 1.9.3 ###
* Now actions are used to load sermon content in a theme: `sermon_single` & `sermon_excerpt`. This makes it easy to override the content by removing the default action and adding your own custom action.
* Bugfix `[sermon_images]` shortcode now displays the description correctly
* Added podcast feed for service types

### 1.9.2 ###
* Improve setting MP3 duration; allow user to edit duration if not set accurately

### 1.9.1 ###
* Minor fixes to the `[latest_series]` shortcode - [updated documentation](http://www.wpforchurch.com/knowledgebase/sermon-manager-shortcodes/)

### 1.9 ###
* NEW FEATURE: Podcast feeds for every Preacher, Service Type, Series, Bible Book, and Topic.
* NEW FEATURE: New shortcode to display the latest sermon series image `[latest_series]` (many options including displaying by service type)
* NEW FEATURE: Admin columns are now sortable - props to @khornberg
* NEW FEATURE: All media is now uploaded to a custom folder `/sermons` under `/uploads`. This will allow easier media management and exclusion from backups (if desired)
* Remove mediaelement audio player and use the built in mediaelement (now requires WordPress 3.6+)
* Remove dependency on wp-pagenavi for shortcode pagination
* Resolved issue with media player not displaying with shortcodes


### 1.8.3 ###
* Require WordPress 3.6+
* Use built in mediaelement player

### 1.8.1 ###
* Fixed errors with saving settings for some users (remove dependency on CURL)

### 1.8 ###
* Improved podcasting performance - props @livingos
* Cleaned up options page with tabs, added hooks for other plugins to hook into the option page.
* Fixed bug causing sermons to display 2x

### 1.7.4 ###
* Updated the way attachments are displayed. Now they will be available for download even if not attached to the sermon.
* Fix sermon-images shortcode

### 1.7.3 ###
* Compatibility with WordPress 3.6

### 1.7.2 ###
* Disable a filter that was causing problems in some themes (added in 1.7)

### 1.7.1 ###
* Fix a few bugs introduced in 1.7

### 1.7 ###
* Improved many areas of the code; organized files
* Made a new permalink structure possible with a common base slug across all taxonomies, e.g. `sermons/preacher` or `sermons/series`.
* Added new template tag for the podcast URL
* Add series, preacher, topic, and book to post class
* Trim taxonomy description in Admin
* Improve widget CSS
* Add missing filter for template files
* Add template tags to show preacher and series info on individual sermons
* Allow service type to be empty
* Use date option set in WordPress settings instead of hardcoded format
* Resolve `$wpfc_entry_views` error with PHP 5.4
* Cleaned up CSS ids and classes to be compliant code

### 1.6 ###
* Improved localization & added French translation
* Updated mediaelements.js to the latest version
* Change Service Types to a custom taxonomy so you can add/edit as you wish (you’ll see an admin notice to refresh your database)

### 1.5.6 ###
* Added comma separator in case of multiple speakers or multiple series
* Added speaker name to widget
* Added “sort by Book” to sermon sort fields

### 1.5.5 ###
* Fix settings for bib.ly

### 1.5.4 ###
* Added an action `wpfc_settings_form` to add fields to the settings page
* Fixed bug with sermon topic dropdown

### 1.5.3 ###
* Properly prefixed the entry views function to prevent conflicts

### 1.5.2 ###
* Only load admin scripts and styles on Sermon pages

### 1.5.1 ###
* Improve CSS for Chrome
* Add the option to include the audio player in archive view
* Fix display issues on some themes in archive view

### 1.5 ###
* Improve page navigation styles with shortcode
* Improve admin interface & added a “Sermon Notes” field
* Fixed the views count for sermons
* Update function to add images to series & preachers
* Added podcasting with iTunes
* Properly enqueueing all JavaScript and CSS
* New template tags for easier theme customization
* Added new taxonomy “Book of the Bible” to allow easy sorting of sermons
* Display a grid of images assigned to speakers or series with a new shortcode `[sermon-images]`
* Display a list of sermon series, preachers, sermon topics, or book of the Bible with a new shortcode `[list-sermons]`

### 1.3.3 ###
* Bug fix with menu not showing in some themes

### 1.3.1 ###
* Bug fix with Service Type not saving correctly

### 1.3 ###
* Added a settings page
* Now translation ready!
* Added styling to the Recent Sermons Widget
* Added featured image to individual sermons
* Added images to sermon topics
* Created new functions to render sermon archive listing and single sermons
* Added better sorting fields on archive page
* Added shortcode to insert sort fields - `[sermon_sort_fields]`

### 1.2.1 ###
* Enhanced shortcode to allow for Ajax pagination
* Requires a plugin for pagination in shortcode to work: http://wordpress.org/extend/plugins/wp-pagenavi/

### 1.2 ###
* Shortcode completely updated with [documentation](http://www.wpforchurch.com/882/sermon-shortcode/)

### 1.1.4 ###
* Now you can add images to sermon series and preachers!
* Widget now includes the sermon date
* Added icons for audio and video attachments

### 1.1.3 ###
* Theme developers can add support for sermon manager to their theme with `add_theme_support( 'sermon-manager' );` in `functions.php`. For now, this will disable the loading of the jwplayer javascript
* Bug fix to load javascript for sermon player and verse popups on single sermon pages only
* Minor CSS fix to increase font size of popup Bible passages

### 1.1.2 ###
* Bug fixes so everything saved correctly when doing autosave, quick edit, and bulk edit
* Minor CSS fix for icon to display with additional files

### 1.1.1 ###
* Bug fixes to templating system
* Minor CSS fixes

### 1.1 ###
* New much improved templating system!
* Bug fixes related to the loading of JavaScript and CSS

### 1.0 ###
* Fixes related to WordPress 3.3; takes advantage of new tinymce editor

### 0.9 ###
* Added WYSIWYG editor to the sermon description field

### 0.8 ###
* Added Widgets

### 0.7 ###
* Bug Fixes

### 0.6 ###
* Initial public release
